# alipay-mp-service

支付宝小程序微服务，基于 SpringBoot 构建的 API 服务，供支付宝小程序调用。

## 构建

```bash
# 打包
mvn clean package

# 本地启动，连接测试环境
java -jar -Dservice.agent.grpc.addr=120.77.174.122:8600 -Dservice.agent.rest.addr=120.77.174.122:8500 -Denabled.service.discovery=true -Detcd.addrs="http://192.168.3.202:2379" -Dapp.env=qa -Dserver.port=8097 -XX:+UnlockCommercialFeatures onemini-hospital-empty/target/alipay-mp-service-1.0-SNAPSHOT.jar

```

## 开发

项目基于支付宝提供的 [挂缴查 SDK](https://www.yuque.com/randa/antbuilder/ht32uw) 二次封装，适配医务通 Java 项目风格。

业务代码都在 onemini-hospital-empty 目录下，项目结构和其他 Java 项目基本一致。 

该项目不直接访问数据库，需要通过 RPC 或 REST 方式调用其他服务查询数据。