package com.ywt.request.card;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.card.QueryDefaultCardResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 默认就诊卡查询请求体
 **/
@Getter
@Setter
@ToString
public class QueryDefaultCardRequest implements IsvRequest<QueryDefaultCardResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id

    @Override
    public String serviceName() {
        return "isvRequest.medicCard.defaultCard";
    }
}
