package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.InpatientDetailsResponseData;
import lombok.Data;

/**
 * 入院登记详情请求体
 */
@Data
public class InpatientDetailsRequest implements IsvRequest<InpatientDetailsResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String inpatientId;//住院id

    @Override
    public String serviceName() {
        return "isvRequest.inpatient.details";
    }
}