package com.ywt.response.inpatient;

import com.ywt.model.IsvResponseData;
import lombok.Data;

/**
 * 出院信息结算列表回执
 */
@Data
public class SettlementListResponseData implements IsvResponseData {

    private String inpatientId;//住院记录id

    private String inpatientName;//住院人姓名

    private String departmentName;//科室

    private String area;//病区

    private String bedspace;//床位

    private String doctorName;//医生

    private String inpatientNo;//住院号

    private String inpatientDate;//入院日期，格式yyyy-MM-dd

    private String depositBalance;//押金余额

    private String status;//状态

    private String refundAmount;//退款金额，仅已出院返回
}
