package com.ywt.response.register;

import com.ywt.model.IsvResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;


/**
 * 医生简介回执
 **/
@Getter
@Setter
@ToString
public class QueryDoctorInfoResponseData implements IsvResponseData {
    private String doctorId;//医生id
    private String name;//医生姓名
    private String level;//医生职级
    private String picUrl;//医生头像地址
    private String description;//医生简介
    private String specialty;//擅长领域
    private String districtName;//院区名称
    private List<Department> departments;//所属科室

}
