package com.ywt.response.inpatient;

import com.ywt.model.IsvResponseData;
import lombok.Data;

/**
 * 出院结算详情回执
 */
@Data
public class SettlementDetailsResponseData implements IsvResponseData {

    private String refundAmount;//退款金额

    private String reimbursableAmount;//医保报销金额

    private String depositBalance;//押金退款

    private String spendTotalAmount;//费用总金额

    private String medicalPayAmount;//医保支付总金额

    private String medicalSelfPayAmount;//医保个人账户支付金额

    private String medicalFundPayAmount;//医保统筹基金支付金额

    private String selfPayAmount;//自费支付总金额

    private String depositTotalAmount;//押金缴纳总额

    private String deductedAmount;//押金抵扣总额

    private String hospitalName;//医院名称

    private String departmentName;//科室

    private String area;//病区

    private String inpatientName;//住院人姓名

    private String bedspace;//床位

    private String doctorName;//医生

    private String inpatientNo;//住院号

    private String inpatientDateRange;//住院时间

    private String status;//结算状态

    private String refundCostDay;//退款预计耗时，单位天

}
