package com.ywt.response.nucleic;

import com.ywt.model.IsvResponseData;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 核酸检查时间列表回执
 */
@Getter
@Setter
@ToString
public class NucleicTimeListResponseData implements IsvResponseData {

    private String testTimeDesc;//检测时间描述

    private List<TestTime> testTimeList;//检测时间列表

    @Data
    public static class TestTime {

        private String testTimeId;//测试时间id

        private String testTime;//时间

        private String testTimeDesc;//时间描述，用于前端展示

        private boolean full;//是否约满
    }

}
