package com.ywt.response.register;

import lombok.Data;


/**
 * 医生号源模型
 */
@Data
public class OrderSource {
    private String orderSourceId;//号源id
    private String startTime;//号源开始时间段
    private String endTime;//号源截止时间段
    private String cost;//挂号费用
    private Integer remain;//剩余数量
    private Boolean onlinePay;//true：确认挂号时支付，false：就诊时支付
    private String serviceDate;//时间（eg:2022-09-20）
    private String datePeriodName;//时间段（eg:下午）
}
