package com.ywt.response.register;

import com.ywt.model.IsvResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 科室医生查询回执
 **/
@Getter
@Setter
@ToString
public class QueryDepDoctorListResponseData implements IsvResponseData {
    private String doctorId;//医生id
    private String name;//医生姓名
    private String desc;//医生简介
    private String picUrl;//医生头像地址
    private Integer remain;//当日剩余号源数量
    private String type;//类型，expert：专家号，normal：普通号
    private String level;//职级，医生职级
    private List<OrderSource> orderSources;//医生号源列表，存在查询日期参数，才可能返回，非必传
    private String serviceDate;
    private int offset;
    private String week;
    private String doctorCode;//医生code
    private String deptCode;//科室code
    private String serviceName;//亚专科名称
    private String serviceCode;//亚专科代码
}
